#
# spec file for package python-CDDB
#
# Copyright (c) 2007-2009 oc2pus
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name CDDB

Name:           python-%{mod_name}
Version:        1.4
Release:        7.5
Url:            http://cddb-py.sourceforge.net
Summary:        Python CDDB module
License:        GPL-2.0
Group:          Development/Languages/Python
Source:         http://jaist.dl.sourceforge.net/project/cddb-py/cddb-py/%{version}/%{mod_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%endif

%description
The dynamic duo of CDDB.py and DiscID.py, along with their side-kick C
module cdrommodule.so, provide an easy way for Python programs to
fetch information on audio CDs from CDDB (http://www.cddb.com/) -- a
very large online database of track listings and other information on
audio CDs. UNIX platforms and Windows are both supported.

%prep
%setup -q -n %{mod_name}-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%{python_sitearch}/CDDB*
%{python_sitearch}/DiscID.*
%{python_sitearch}/cdrom.so

%changelog
* Sun Aug 25 2013 hillwood@linuxfans.org
- clean up spec file:
  * fix License format
  * use full URL to source tarballs
* Tue Mar 29 2011 saschpe@suse.de
- cleaned up spec file:
  * moved %%%%changelog section content to changes file
  * cleaned up preamble
  * set license to GPLv2
* Tue Mar 22 2011 propstmatthias@googlemail.com
- rebuild from packman repository for the multimedia repo
* Tue Mar 28 2006 toni@links2linux.de
- initial package 1.4
